Subject: bug#27127: Failure in "ls -t" when parameter list is long

From: Teppo Mäenpää <[email-masked]>
Date: Sun, 28 May 2017 20:21:37 +0300

Dear all,

The command "ls -t" fails to sort files as promised, when the total length of 
the names of the files to be listed (and sorted) exceeds 128 KB. All files 
are still listed, just the sorting part stops working.

Man page does not mention that the sorting would work only with short file 
lists. Is this a bug? If not, what have I understood wrong?

The attached script demonstrates this, in three slightly different scenarios. 
The outcome of the script is that the total lenght of filenames, given to ls 
as command line parameter, appears significant.

Regards,

	Teppo Mäenpää